Main Page Class Hierarchy Compound List File List Compound Members File Members

# TTimeFuncs Class Reference

`#include <timefuncs.h>`

List of all members.

## Static Public Member Functions
HIGHRES_TIME | GetHighResTime ()
char * | DateString (char *r_buffer, WORM_TIME_FORMAT p_format, WORM_TIME_LOCALE p_locale=WORM_GMT_TIME, double p_time=-1.0)
double | TimeToDouble (const char *p_buffer)
void | MSecSleep (unsigned int p_msec)
bool | IsLeapyear (unsigned int p_year)
bool | YearJulianToMonDay (short p_year, short p_julday, short *r_monthnum, short *r_monthday)
bool | CrackDate (const char *p_buffer, short *r_year, short *r_monthnum, short *r_monthday, short *r_year2, short *r_julday=NULL, bool *r_isleap=NULL)
bool | CrackTime (const char *p_buffer, short *p_hour, short *p_min, short *p_sec=NULL, short *p_msec=NULL, double *p_fpsec=NULL)
## Static Public Attributes
const char | DOW [7][4] = { "Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat" }
const char | MOY [12][4] = { "Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec" }
## Static Protected Attributes
const short | MONTH_STARTS [2][12]

## Member Function Documentation

bool TTimeFuncs::CrackDate | ( | const char * | p_buffer,
|  | short * | r_year,
|  | short * | r_monthnum,
|  | short * | r_monthday,
|  | short * | r_year2,
|  | short * | r_julday = NULL,
|  | bool * | r_isleap = NULL
| ) | `[static]`

| Definition at line 365 of file timefuncs.cpp. References IsLeapyear(), and MONTH_STARTS.

bool TTimeFuncs::CrackTime | ( | const char * | p_buffer,
|  | short * | p_hour,
|  | short * | p_min,
|  | short * | p_sec = NULL,
|  | short * | p_msec = NULL,
|  | double * | p_fpsec = NULL
| ) | `[static]`

| Definition at line 428 of file timefuncs.cpp.

char * TTimeFuncs::DateString | ( | char * | r_buffer,
|  | WORM_TIME_FORMAT | p_format,
|  | WORM_TIME_LOCALE | p_locale = WORM_GMT_TIME,
|  | double | p_time = -1.0
| ) | `[static]`

| Definition at line 55 of file timefuncs.cpp. References GetHighResTime(), WORM_GMT_TIME, WORM_LOCAL_TIME, WORM_TIMEFMT_14, WORM_TIMEFMT_16, WORM_TIMEFMT_18, WORM_TIMEFMT_19, WORM_TIMEFMT_23, WORM_TIMEFMT_26, WORM_TIMEFMT_8, and WORM_TIMEFMT_UTC21. Referenced by TLogger::Logit(), and TLogger::OpenFile().

HIGHRES_TIME TTimeFuncs::GetHighResTime | ( |  | ) | `[static]`

| Definition at line 31 of file timefuncs.cpp. References HIGHRES_TIME. Referenced by DateString().

bool TTimeFuncs::IsLeapyear | ( | unsigned int | p_year | ) | `[static]`

| Definition at line 310 of file timefuncs.cpp. Referenced by CrackDate(), and YearJulianToMonDay().

void TTimeFuncs::MSecSleep | ( | unsigned int | p_msec | ) | `[static]`

| Definition at line 277 of file timefuncs.cpp. Referenced by MutableServerBase::Handler(), CMFCDialogModuleBase::InitApp(), WormServerBase::Listener(), MutableServerBase::MainThreadActions(), WormServerBase::Run(), TModuleBase::Run(), MutableServerBase::Stacker(), CMFCDialogModuleBase::StatusAndReadLoop(), MutableServerBase::TransmitRequest(), and WormServerBase::~WormServerBase().

double TTimeFuncs::TimeToDouble | ( | const char * | p_buffer | ) | `[static]`

| Definition at line 207 of file timefuncs.cpp.

bool TTimeFuncs::YearJulianToMonDay | ( | short | p_year,
|  | short | p_julday,
|  | short * | r_monthnum,
|  | short * | r_monthday
| ) | `[static]`

| Definition at line 330 of file timefuncs.cpp. References IsLeapyear(), and MONTH_STARTS.

## Member Data Documentation

const char TTimeFuncs::DOW = { "Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat" }`[static]`

| Definition at line 20 of file timefuncs.cpp.

const short TTimeFuncs::MONTH_STARTS`[static, protected]`

| Initial value:
    {
       { 1, 32, 60, 91, 121, 152, 182, 213, 244, 274, 305, 335 }
      ,{ 1, 32, 61, 92, 122, 153, 183, 214, 245, 275, 306, 336 }
    }
Definition at line 24 of file timefuncs.cpp. Referenced by CrackDate(), and YearJulianToMonDay().

const char TTimeFuncs::MOY = { "Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec" }`[static]`

| Definition at line 22 of file timefuncs.cpp.

The documentation for this class was generated from the following files:

- timefuncs.h
- timefuncs.cpp